Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Interface DragSourceMotionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DragSourceAdapter, DragSourceContext

public interface DragSourceMotionListener
extends EventListener

A listener interface for receiving mouse motion events during a drag operation.

The class that is interested in processing mouse motion events during a drag operation either implements this interface or extends the abstract `DragSourceAdapter` class (overriding only the methods of interest).

Create a listener object using that class and then register it with a `DragSource`. Whenever the mouse moves during a drag operation initiated with this `DragSource`, that object's `dragMouseMoved` method is invoked, and the `DragSourceDragEvent` is passed to it.

Since:
  1.4
See Also:
  `DragSourceDragEvent`, `DragSource`, `DragSourceListener`, `DragSourceAdapter`

Method Summary
`void` | `dragMouseMoved(DragSourceDragEvent dsde)` Called whenever the mouse is moved during a drag operation.

Method Detail

### dragMouseMoved

    public void dragMouseMoved(DragSourceDragEvent dsde)

  Called whenever the mouse is moved during a drag operation.

  Parameters:
    `dsde` - the `DragSourceDragEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.